RGBGrayFilter (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class RGBGrayFilter

    java.lang.Object
      java.awt.image.ImageFilter
          java.awt.image.RGBImageFilter
              com.jgoodies.looks.common.RGBGrayFilter

All Implemented Interfaces:
  ImageConsumer, Cloneable

    public final class RGBGrayFilter

extends RGBImageFilter

An image filter that turns an icon into a grayscale icon. Used by the JGoodies Windows and Plastic L&Fs to create a disabled icon.

The high-resolution gray filter can be disabled globally using `Options.setHiResGrayFilterEnabled(boolean)`; it is enabled by default. The global setting can be overridden per component by setting the client property key `Options.HI_RES_DISABLED_ICON_CLIENT_KEY` to `Boolean.FALSE`.

Thanks to Andrej Golovnin for suggesting a simpler filter formula.

Version:
  $Revision: 1.13 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class java.awt.image.RGBImageFilter
`canFilterIndexColorModel, newmodel, origmodel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Method Summary
`int` | `filterRGB(int x, int y, int rgb)` Converts a single input pixel in the default RGB ColorModel to a single gray pixel.
`static Icon` | `getDisabledIcon(JComponent component, Icon icon)` Returns an icon with a disabled appearance.

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDisabledIcon

    public static Icon getDisabledIcon(JComponent component,
                                       Icon icon)

  Returns an icon with a disabled appearance. This method is used to generate a disabled icon when one has not been specified.

  Parameters:
    `component` - the component that will display the icon, may be null.
    `icon` - the icon to generate disabled icon from.
  Returns:
    disabled icon, or null if a suitable icon can not be generated.

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int rgb)

  Converts a single input pixel in the default RGB ColorModel to a single gray pixel.

  Specified by:
    `filterRGB` in class `RGBImageFilter`
  Parameters:
    `x` - the horizontal pixel coordinate
    `y` - the vertical pixel coordinate
    `rgb` - the integer pixel representation in the default RGB color model
  Returns:
    a gray pixel in the default RGB color model.
  See Also:
    `ColorModel.getRGBdefault()`, `RGBImageFilter.filterRGBPixels(int, int, int, int, int[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.